%define section   devel

Name:           jing
Version:        20030619
Release:        4jpp
Epoch:          0
Summary:        Jing, a validator for RELAX NG implemented in Java.

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://www.thaiopensource.com/relaxng/jing.html
Source0:        http://www.thaiopensource.com/download/jing-20030619.zip
Source1:        jing_build.xml
Patch0:         jing-xerces2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
BuildRequires:  isorelax
Requires:  xerces-j2 >= 0:2.6.0
Requires:  xml-commons-apis >= 0:1.0
Requires:  isorelax

%description
This version of Jing implements: RELAX NG 1.0 Specification,
RELAX NG Compact Syntax, and parts of RELAX NG DTD Compatibility, 
specifically checking of ID/IDREF/IDREFS.
Jing also has experimental support for schema languages other 
than RELAX NG; specifically W3C XML Schema (based on Xerces-J);
Schematron; Namespace Routing Language.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.


%prep
%setup -T -c -n %{name}-%{version}
(cd ..
unzip %{SOURCE0} )
cp %{SOURCE1} build.xml
mkdir src
( cd src
unzip ../src.zip )
find . -name "*.jar" -exec rm {} \;

%patch0

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
xerces-j2 \
saxon \
xml-commons-apis \
isorelax)
CLASSPATH=$CLASSPATH:src/test-input:target/classes:target/test-classes
ant dist javadoc 

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/lib/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:20030619-4jpp
- Rebuild with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-3jpp
- Change dependencies from non-free msv to free isorelax
- Add runtime Requires

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:20030619-2jpp
- Upgrade to Ant 1.6.X

* Wed May 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:20030619-1jpp
- First JPackage release.
